Subject: Re: [Bugme-new] [Bug 24472] New: Kernel panic - not syncing: Fatal Exception

From: Paweł Staszewski <[email-masked]>
Date: Thu, 09 Dec 2010 20:59:11 +0100

W dniu 2010-12-09 18:55, Jarek Poplawski pisze:
> Paweł Staszewski wrote:
>> W dniu 2010-12-08 23:01, Jarek Poplawski pisze:
>>> Paweł Staszewski wrote:
>>>> W dniu 2010-12-08 21:22, Andrew Morton pisze:
>>>>> (switched to email.  Please respond via emailed reply-to-all, not
>>>>> via the
>>>>> bugzilla web interface).
>>>>>
>>>>> On Wed, 8 Dec 2010 20:14:45 GMT
>>>>> [email-masked] wrote:
>>>>>
>>>>>> https://bugzilla.kernel.org/show_bug.cgi?id=24472
>>>>>>
>>>>>>               Summary: Kernel panic - not syncing: Fatal Exception
>>>>>>               Product: Drivers
>>>>>>               Version: 2.5
>>>>>>        Kernel Version: 2.6.36.1
>>> Hi,
>>> Could you try to revert this patch?:
>>> http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.36.y.git;a=commitdiff;h=55c95e738da85373965cb03b4f975d0fd559865b
>>>
>>>
>> After reverting this patch all is working
>> 200 connects-disconnects and no kernel panic
>>
>> I will make more session and test more.
> OK. I CC Andrej and Eric, who diagnosed it in this thread:
> http://lkml.org/lkml/2010/12/3/116
> [unable to handle kernel NULL pointer dereference in skb_dequeue]
>
> This should be also interesting:
> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=db7bf6d97c6956b7eb0f22131cb5c37bd41f33c0
>
> Thanks for testing,
> Jarek P.
>
>
After 10 hours of testing all is working.

I can't reproduce kernel panic now with houndreds of pppoe sessions that 
connects-disconnects.

Thanks
Paweł